#
# Conditional build:
%bcond_with	gtk3	# use GTK+ 3.x instead of 2.x
#
Summary:	MATE keyboard libraries
Summary(pl.UTF-8):	Biblioteki MATE do obsługi klawiatury
Name:		libmatekbd
Version:	1.12.0
Release:	1
License:	LGPL v2+
Group:		X11/Libraries
Source0:	http://pub.mate-desktop.org/releases/1.12/%{name}-%{version}.tar.xz
# Source0-md5:	dcb4535445146489b896f09aa58615b3
URL:		http://wiki.mate-desktop.org/libmatekbd
BuildRequires:	autoconf >= 2.59
BuildRequires:	automake >= 1:1.9
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.36
BuildRequires:	gobject-introspection-devel >= 0.6.7
%{!?with_gtk3:BuildRequires:	gtk+2-devel >= 2:2.24}
%{?with_gtk3:BuildRequires:	gtk+3-devel >= 3.0}
BuildRequires:	intltool >= 0.50.1
BuildRequires:	libtool
BuildRequires:	libxklavier-devel >= 5.0
BuildRequires:	mate-common >= 1.5
BuildRequires:	pkgconfig
BuildRequires:	tar >= 1:1.22
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xz
Requires(post,postun):	/sbin/ldconfig
Requires:	glib2 >= 1:2.36
Requires:	gsettings-desktop-schemas
%{!?with_gtk3:Requires:	gtk+2 >= 2:2.24}
%{?with_gtk3:Requires:	gtk+3 >= 3.0}
Requires:	libxklavier >= 5.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
MATE keyboard libraries (fork of libgnomekbd).

%description -l pl.UTF-8
Biblioteki MATE do obsługi klawiatury (odgałęzienie z libgnomekbd).

%package devel
Summary:	Development files for libmatekbd
Summary(pl.UTF-8):	Pliki programistyczne bibliotek libmatekbd
Group:		X11/Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel >= 1:2.36
%{!?with_gtk3:Requires:	gtk+2-devel >= 2:2.24}
%{?with_gtk3:Requires:	gtk+3-devel >= 3.0}
Requires:	libxklavier-devel >= 5.0

%description devel
Development files for libmatekbd.

%description devel -l pl.UTF-8
Pliki programistyczne bibliotek libmatekbd.

%prep
%setup -q

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	--disable-static \
	%{?with_gtk3:--with-gtk=3.0}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la
%{__rm} -r $RPM_BUILD_ROOT%{_localedir}/cmn

# mate < 1.5 did not exist in pld, avoid dependency on mate-conf
%{__rm} $RPM_BUILD_ROOT%{_datadir}/MateConf/gsettings/matekbd.convert

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig
%glib_compile_schemas

%postun
/sbin/ldconfig
if [ "$1" = "0" ]; then
	%glib_compile_schemas
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_libdir}/libmatekbd.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatekbd.so.4
%attr(755,root,root) %{_libdir}/libmatekbdui.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libmatekbdui.so.4
%{_datadir}/libmatekbd
%{_datadir}/glib-2.0/schemas/org.mate.peripherals-keyboard-xkb.gschema.xml
%{_libdir}/girepository-1.0/Matekbd-1.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libmatekbdui.so
%attr(755,root,root) %{_libdir}/libmatekbd.so
%{_includedir}/libmatekbd
%{_pkgconfigdir}/libmatekbd.pc
%{_pkgconfigdir}/libmatekbdui.pc
%{_datadir}/gir-1.0/Matekbd-1.0.gir
%changelog
* Sat Nov 07 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libmatekbd.git;a=log;h=master

* Fri Nov 06 2015 Jakub Bogusz <qboosh@pld-linux.org> 026c348
- updated BRs

* Thu Nov 05 2015 Jan Palus <atler@pld-linux.org> 5bdf1cf
- up to 1.12.0

* Tue Apr 21 2015 Jakub Bogusz <qboosh@pld-linux.org> 463b6b3
- updated to 1.10.0 (1.8.x left on MATE-1.8 branch)

* Sun Mar 29 2015 Jan Palus <atler@pld-linux.org> 171ee57
- up to 1.8.1

* Sun Mar 01 2015 Elan Ruusamäe <glen@delfi.ee> 407b03e
- x32 rebuild
- release 2 (by relup.sh)

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 18b3337
- updated gettext BR

* Sat Jul 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 2a039df
- updated autoconf version

* Sun Mar 09 2014 Jan Palus <jan.palus@gmail.com> 1b0f5a3
- up to 1.8.0
- run autotools
- BR xorg-lib-libX11-devel

* Wed Jan 01 2014 Jakub Bogusz <qboosh@pld-linux.org> d0ae150
- updated to 1.6.2

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 3a32f6d
- added gtk3 bcond

* Mon Dec 09 2013 Jakub Bogusz <qboosh@pld-linux.org> c6e6733
- pl, completed dependencies

* Tue Jun 25 2013 Elan Ruusamäe <glen@delfi.ee> 79664dc
- up to 1.6.1

* Thu Apr 04 2013 Elan Ruusamäe <glen@delfi.ee> bce0426
- use 1.6 tarballs, new po: am, en_AU

* Mon Feb 11 2013 Elan Ruusamäe <glen@delfi.ee> fd3ec11
- up to 1.5.1

* Thu Jan 17 2013 Elan Ruusamäe <glen@delfi.ee> bd971ef
- BR: gettext-devel, cleanups by cleanbuild

* Tue Jan 15 2013 Elan Ruusamäe <glen@delfi.ee> 87460d0
- use package names in deps; more specific urls; update deps

* Sat Dec 22 2012 Elan Ruusamäe <glen@delfi.ee> 19d2217
- new, version 1.5.0

